LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::awt::VclWindowPeerAttribute Constant Group Referencepublished

specifies attributes for the VCL window implementation. More...

## Variables
const long | HSCROLL = 256
const long | VSCROLL = 512
const long | LEFT = 1024
const long | CENTER = 2048
const long | RIGHT = 4096
const long | SPIN = 8192
const long | SORT = 16384
const long | DROPDOWN = 32768
const long | DEFBUTTON = 65536
const long | READONLY = 262144
const long | CLIPCHILDREN = 524288
const long | NOBORDER = 1048576
const long | GROUP = 2097152
const long | OK = 4194304
const long | OK_CANCEL = 8388608
const long | YES_NO = 16777216
const long | YES_NO_CANCEL = 33554432
const long | RETRY_CANCEL = 67108864
const long | DEF_OK = 134217728
const long | DEF_CANCEL = 268435456
const long | DEF_RETRY = 536870912
const long | DEF_YES = 1073741824
const long | DEF_NO = -2147483648
const long | NOLABEL = 536870912
const long | AUTOHSCROLL = 1073741824
const long | AUTOVSCROLL = -2147483648

## Detailed Description

specifies attributes for the VCL window implementation.

IMPORTANT: These constants have to be disjunct with constants in WindowAttribute.

Deprecated:

## Variable Documentation

## ◆ AUTOHSCROLL

const long AUTOHSCROLL = 1073741824

## ◆ AUTOVSCROLL

const long AUTOVSCROLL = -2147483648

## ◆ CENTER

const long CENTER = 2048

## ◆ CLIPCHILDREN

const long CLIPCHILDREN = 524288

## ◆ DEF_CANCEL

const long DEF_CANCEL = 268435456

## ◆ DEF_NO

const long DEF_NO = -2147483648

## ◆ DEF_OK

const long DEF_OK = 134217728

## ◆ DEF_RETRY

const long DEF_RETRY = 536870912

## ◆ DEF_YES

const long DEF_YES = 1073741824

## ◆ DEFBUTTON

const long DEFBUTTON = 65536

## ◆ DROPDOWN

const long DROPDOWN = 32768

## ◆ GROUP

const long GROUP = 2097152

## ◆ HSCROLL

const long HSCROLL = 256

## ◆ LEFT

const long LEFT = 1024

## ◆ NOBORDER

const long NOBORDER = 1048576

## ◆ NOLABEL

const long NOLABEL = 536870912

## ◆ OK

const long OK = 4194304

## ◆ OK_CANCEL

const long OK_CANCEL = 8388608

## ◆ READONLY

const long READONLY = 262144

## ◆ RETRY_CANCEL

const long RETRY_CANCEL = 67108864

## ◆ RIGHT

const long RIGHT = 4096

## ◆ SORT

const long SORT = 16384

## ◆ SPIN

const long SPIN = 8192

## ◆ VSCROLL

const long VSCROLL = 512

## ◆ YES_NO

const long YES_NO = 16777216

## ◆ YES_NO_CANCEL

const long YES_NO_CANCEL = 33554432